package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author trs
 * @since 2024-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class NmProject extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("SOURCE_DATA_KEY")
    private String sourceDataKey;

    @TableField("PROJECT_CODE")
    private String projectCode;

    @TableField("PROJECT_NAME")
    private String projectName;

    @TableField("REGION_CODE")
    private String regionCode;

    @TableField("INVEST_PROJECT_CODE")
    private String investProjectCode;

    @TableField("ADDRESS")
    private String address;

    @TableField("LEGAL_PERSON")
    private String legalPerson;

    @TableField("INDUSTRIES_TYPE")
    private String industriesType;

    @TableField("FUND_SOURCE")
    private String fundSource;

    @TableField("PROJECT_SCALE")
    private String projectScale;

    @TableField("CONTACTOR")
    private String contactor;

    @TableField("CONTACT_INFORMATION")
    private String contactInformation;

    @TableField("PLATFORM_CODE")
    private String platformCode;

    @TableField("PUB_SERVICE_PLAT_CODE")
    private String pubServicePlatCode;

    @TableField("DATA_TIMESTAMP")
    private Integer dataTimestamp;


}
