package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author trs
 * @since 2023-12-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ZrzyTdCedeInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableField("SOURCE_DATA_KEY")
    private String sourceDataKey;

    @TableField("SOURCE_DATA_CODE")
    private String sourceDataCode;

    @TableField("ANNOUNCEMENT_GUID")
    private String announcementGuid;

    @TableField("LAND_PROJECT_NAME")
    private String landProjectName;

    @TableField("UNIFIED_DEAL_CODE")
    private String unifiedDealCode;

    @TableField("LISTING_TYPE")
    private String listingType;

    @TableField("LISTING_START_TIME")
    private Long listingStartTime;

    @TableField("LISTING_DEADLINE")
    private Long listingDeadline;

    @TableField("SIGNUP_OPEN_TIME")
    private Long signupOpenTime;

    @TableField("SIGNUP_END_TIME")
    private Long signupEndTime;

    @TableField("BID_BOND_END_TIME")
    private Long bidBondEndTime;

    @TableField("INDUSTRY_REGULATORY_AUTHORITIES")
    private String industryRegulatoryAuthorities;

    @TableField("LAND_USE")
    private String landUse;

    @TableField("SOJOURN_POSITION")
    private String sojournPosition;

    @TableField("FIELD_BUDGET")
    private String fieldBudget;

    @TableField("IS_NEW_COMPANY")
    private String isNewCompany;

    @TableField("ARCHITECTURE_ACREAGE")
    private String architectureAcreage;

    @TableField("REGION_CODE")
    private String regionCode;

    @TableField("LAND_TYPE")
    private String landType;

    @TableField("CEDE_TIME_LIMIT")
    private String cedeTimeLimit;

    @TableField("CEDE_ACREAGE")
    private String cedeAcreage;

    @TableField("CEDE_MU")
    private String cedeMu;

    @TableField("IS_RELEASE")
    private String isRelease;

    @TableField("BID_WAY")
    private String bidWay;

    @TableField("START_PRICE")
    private String startPrice;

    @TableField("PRICE_FORM_CODE")
    private String priceFormCode;

    @TableField("MARGIN_AMOUNT")
    private String marginAmount;

    @TableField("MARGIN_CURRENCY")
    private String marginCurrency;

    @TableField("MARGIN_AMOUNT_UNIT")
    private String marginAmountUnit;

    @TableField("MARGIN_PERCENT")
    private String marginPercent;

    @TableField("PRICE_AMPLITUDE")
    private String priceAmplitude;

    @TableField("IS_BASE_PRICE")
    private String isBasePrice;

    @TableField("BASE_PRICE")
    private String basePrice;

    @TableField("ARCHITECTURE_DENSITY")
    private String architectureDensity;

    @TableField("LAND_UNIT")
    private String landUnit;

    @TableField("ARCHITECTURE_APPRA_VALUE")
    private String architectureAppraValue;

    @TableField("GREEN_RATE")
    private String greenRate;

    @TableField("LIMIT_HIGH")
    private String limitHigh;

    @TableField("OTHER_DEMAND")
    private String otherDemand;

    @TableField("IS_CONSOCIATION")
    private String isConsociation;

    @TableField("BID_CONTROL_WAY")
    private String bidControlWay;

    @TableField("VOLUME_RATE")
    private String volumeRate;

    @TableField("IS_DOLLARS")
    private String isDollars;

    @TableField("RESOURCE_COORDINATE")
    private String resourceCoordinate;

    @TableField("CEDE_CONTENT")
    private String cedeContent;

    @TableField("OTHER_CONDITION")
    private String otherCondition;

    @TableField("BIDDER_CONDITION")
    private String bidderCondition;

    @TableField("CEDE_RULE")
    private String cedeRule;

    @TableField("CEDE_UNIT_NAME")
    private String cedeUnitName;

    @TableField("CEDE_UNIT_CODE")
    private String cedeUnitCode;

    @TableField("PLATFORM_CODE")
    private String platformCode;

    @TableField("PUB_SERVICE_PLAT_CODE")
    private String pubServicePlatCode;

    @TableField("DATA_TIMESTAMP")
    private Long dataTimestamp;

    @TableField("LAND_CODE")
    private String landCode;

    @TableField("LAND_NUM")
    private String landNum;

    @TableField("SELLER_NAME")
    private String sellerName;

    @TableField("IF_CONTRAL")
    private String ifContral;

    @TableField("CEILING_PRICE_FORM_CODE")
    private String ceilingPriceFormCode;

    @TableField("CEILING_PRICE")
    private String ceilingPrice;

    @TableField("CEILING_PRICE_CURRENCY")
    private String ceilingPriceCurrency;

    @TableField("UNIT_CEILING_PRICE")
    private String unitCeilingPrice;

    @TableField("PAYMENT_METHOD")
    private String paymentMethod;

    @TableField("LAND_BZ")
    private String landBz;

    @TableField("DATA_SOURCE_CODE")
    private String dataSourceCode;


}
