package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.CqSwBargainResult;
import com.trs.ggzyexchange.entity.CqSwCompleteBulletin;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
@Mapper
public interface CqSwCompleteBulletinMapper extends BaseMapper<CqSwCompleteBulletin> {
    IPage<TenderDetailsVo> queryCqSwCompleteBulletinAllList(Page<CqSwCompleteBulletin> page);

    Long maxDataTimeStamp();

    IPage<TenderDetailsVo> queryCqSwCompleteBulletinAllListByTime(
            Page<CqSwCompleteBulletin> page,
            @Param("time")
            Long time);
}
