package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.trs.ggzyexchange.entity.CqcgChangeFile;
import com.trs.ggzyexchange.entity.CqcgNoticeandfile;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.mapper.CqcgChangeFileMapper;
import com.trs.ggzyexchange.mapper.CqcgNoticeandfileMapper;
import com.trs.ggzyexchange.service.CqcgChangeFileService;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class CqcgChangeFileServiceImpl extends ServiceImpl<CqcgChangeFileMapper, CqcgChangeFile> implements CqcgChangeFileService {

    @Autowired
    private CqcgChangeFileMapper cqcgChangeFileMapper;

    public Long maxDataTimeStamp() {
        Long aLong = cqcgChangeFileMapper.maxDataTimeStamp();
        try{
            if(!ObjectUtils.isEmpty(aLong)){
                if(aLong != 0){
                    String sLong = ((aLong+"").substring(0,8)) + "000000";
                    aLong = Long.parseLong(sLong);
                }
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return aLong;
    }

    public IPage<TenderDetailsVo> queryCqcgChangeFileAllListByTime(Page<CqcgChangeFile> page, Long time) {
        return cqcgChangeFileMapper.queryCqcgChangeFileAllListByTime(page, time);
    }
}
