package com.trs.ggzyexchange.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.trs.ggzyexchange.entity.MarginReturnCe;
import com.trs.ggzyexchange.mapper.MarginReturnCeMapper;
import com.trs.ggzyexchange.mapper.NmNoticeMapper;
import com.trs.ggzyexchange.service.MarginReturnCeService;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class MarginReturnCeServiceImpl extends ServiceImpl<MarginReturnCeMapper, MarginReturnCe> implements MarginReturnCeService {
    @Autowired
    private MarginReturnCeMapper marginReturnCeMapper;
    @Override
    public Long maxDataTimeStamp() {
        Long aLong = marginReturnCeMapper.maxDataTimeStamp();
        try{
            if(!ObjectUtils.isEmpty(aLong)){
                if(aLong != 0){
                    String sLong = ((aLong+"").substring(0,8)) + "000000";
                    aLong = Long.parseLong(sLong);
                }
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return aLong;
    }
}
