package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.trs.ggzyexchange.entity.ZrzySupple;
import com.trs.ggzyexchange.mapper.ZrzySuppleMapper;
import com.trs.ggzyexchange.service.ZrzySuppleService;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 挂牌披露信息 服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-03-04
 */
@Service
public class ZrzySuppleServiceImpl extends ServiceImpl<ZrzySuppleMapper, ZrzySupple> implements ZrzySuppleService {
    @Autowired
    private ZrzySuppleMapper zrzySuppleMapper;

    public Long maxDataTimeStamp() {
        Long aLong =  zrzySuppleMapper.maxDataTimeStamp();
        try{
            if(!ObjectUtils.isEmpty(aLong)){
                if(aLong != 0){
                    String sLong = ((aLong+"").substring(0,8)) + "000000";
                    aLong = Long.parseLong(sLong);
                }
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return aLong;
    }
}
