package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author trs
 * @since 2024-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class NmNotice extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("SOURCE_DATA_KEY")
    private String sourceDataKey;

    @TableField("PROJECT_CODE")
    private String projectCode;

    @TableField("TENDER_PROJECT_CODE")
    private String tenderProjectCode;

    @TableField("BID_SECTION_CODES")
    private String bidSectionCodes;

    @TableField("NOTICE_BID_NUM")
    private String noticeBidNum;

    @TableField("NOTICE_NAME")
    private String noticeName;

    @TableField("NOTICE_CONTENT")
    private String noticeContent;

    @TableField("NOTICE_SEND_TIME")
    private Integer noticeSendTime;

    @TableField("NOTICE_MEDIA")
    private String noticeMedia;

    @TableField("URL")
    private String url;

    @TableField("NOTICE_NATURE")
    private String noticeNature;

    @TableField("BULLETIN_TYPE")
    private String bulletinType;

    @TableField("DOC_GET_START_TIME")
    private Integer docGetStartTime;

    @TableField("DOC_GET_END_TIME")
    private Integer docGetEndTime;

    @TableField("TENDER_DOC_GET_METHOD")
    private String tenderDocGetMethod;

    @TableField("BID_DOC_REFER_END_TIME")
    private Integer bidDocReferEndTime;

    @TableField("BID_OPEN_TIME")
    private Integer bidOpenTime;

    @TableField("BID_DOC_REFER_METHOD")
    private String bidDocReferMethod;

    @TableField("SYNDICATED_FLAG")
    private String syndicatedFlag;

    @TableField("MARGIN_PAY_FLAG")
    private String marginPayFlag;

    @TableField("MARGIN_PAY_TYPE")
    private String marginPayType;

    @TableField("BULLETIN_DUTY")
    private String bulletinDuty;

    @TableField("BULLETIN_DUTY_CODE_TYPE")
    private String bulletinDutyCodeType;

    @TableField("PLATFORM_CODE")
    private String platformCode;

    @TableField("PUB_SERVICE_PLAT_CODE")
    private String pubServicePlatCode;

    @TableField("DATA_TIMESTAMP")
    private Integer dataTimestamp;

    @TableField("PSP_RELEASE_TYPE")
    private String pspReleaseType;

    @TableField("PSP_RELATE_NOTICE_ID")
    private String pspRelateNoticeId;

    @TableField("PSP_FIRST_NOTICE_ID")
    private String pspFirstNoticeId;

    @TableField("TENDER_CODE")
    private String tenderCode;

    @TableField("BID_URL")
    private String bidUrl;

    @TableField("BID_OPEN_METHOD")
    private String bidOpenMethod;

    @TableField("TENDERER_NAME")
    private String tendererName;

    @TableField("TENDER_CODE_TYPE")
    private String tenderCodeType;

    @TableField("TENDERER_CODE")
    private String tendererCode;

    @TableField("TENDERER_ADDRESS")
    private String tendererAddress;

    @TableField("TENDERER_CONTACTOR")
    private String tendererContactor;

    @TableField("TENDERER_PHONE_NUMBER")
    private String tendererPhoneNumber;

    @TableField("TENDERER_EMAIL")
    private String tendererEmail;

    @TableField("TENDER_AGENCY_NAME")
    private String tenderAgencyName;

    @TableField("TENDER_AGENCY_CODE_TYPE")
    private String tenderAgencyCodeType;

    @TableField("TENDER_AGENCY_CODE")
    private String tenderAgencyCode;

    @TableField("TENDER_AGENCY_ADDRESS")
    private String tenderAgencyAddress;

    @TableField("TENDER_AGENCY_CONTACTOR")
    private String tenderAgencyContactor;

    @TableField("TENDER_AGENCY_PHONE_NUMBER")
    private String tenderAgencyPhoneNumber;

    @TableField("TENDER_AGENCY_EMAIL")
    private String tenderAgencyEmail;

    @TableField("EXAMINER_NAME")
    private String examinerName;

    @TableField("OTHER_CONTENT")
    private String otherContent;


}
