package com.trs.ggzyexchange.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.CqcgChangeFile;
import com.trs.ggzyexchange.entity.CqcgNoticeandfile;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


@Mapper
public interface CqcgChangeFileMapper extends BaseMapper<CqcgChangeFile> {
    Long maxDataTimeStamp();
    IPage<TenderDetailsVo> queryCqcgChangeFileAllListByTime(
            Page<CqcgChangeFile> page,
            @Param("time")
            Long time);
}
