package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.trs.ggzyexchange.entity.CqSwCompleteBulletin;
import com.trs.ggzyexchange.entity.CqcgNoticeandfile;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.mapper.CqSwCompleteBulletinMapper;
import com.trs.ggzyexchange.mapper.CqcgNoticeandfileMapper;
import com.trs.ggzyexchange.service.CqcgNoticeandfileService;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class CqcgNoticeandfileServiceImpl extends ServiceImpl<CqcgNoticeandfileMapper, CqcgNoticeandfile> implements CqcgNoticeandfileService {
    @Autowired
    private CqcgNoticeandfileMapper cqcgNoticeandfileMapper;

    public Long maxDataTimeStamp() {
        Long aLong = cqcgNoticeandfileMapper.maxDataTimeStamp();
        try{
            if(!ObjectUtils.isEmpty(aLong)){
                if(aLong != 0){
                    String sLong = ((aLong+"").substring(0,8)) + "000000";
                    aLong = Long.parseLong(sLong);
                }
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return aLong;
    }

    public IPage<TenderDetailsVo> queryCqcgNoticeandfileAllListByTime(Page<CqcgNoticeandfile> page, Long time) {
        return cqcgNoticeandfileMapper.queryCqcgNoticeandfileAllListByTime(page, time);
    }
}
