package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.trs.ggzyexchange.entity.GcReconsider;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.mapper.GcReconsiderMapper;
import com.trs.ggzyexchange.service.GcReconsiderService;

import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**

 * @author trs
 * @since 2023-03-04
 */
@Service
public class GcReconsiderServiceImpl extends ServiceImpl<GcReconsiderMapper, GcReconsider> implements GcReconsiderService {
    @Autowired
    private GcReconsiderMapper gcReconsiderMapper;

    public IPage<TenderDetailsVo> queryGcReconsiderListByTime(Page<GcReconsider> page, Long time) {
        return gcReconsiderMapper.queryGcReconsiderListByTime(page,time);
    }

    public Long maxDataTimeStamp() {
        Long aLong = gcReconsiderMapper.maxDataTimeStamp();
        try{
            if(!ObjectUtils.isEmpty(aLong)){
                if(aLong != 0){
                    String sLong = ((aLong+"").substring(0,8)) + "000000";
                    aLong = Long.parseLong(sLong);
                }
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return aLong;
    }
}
